echo off
echo -------------------------------------------------------------------------------
echo Call the java class with JZcmd script language.
echo Note: If you start the JZcmdExecuter with this arguments in an IDE environment - Eclipse
echo you can start this script and set breakpoints to the BillOfMaterial-classes.
echo add examples_ZBNF_core/BillOfMaterial/srcJava to the project too
echo or use the external jar and attache the sources while debugging.
echo To get the billOfMaterial.jar look in the srcJava/_make 

java -cp ../../zbnfjax/zbnf.jar org.vishia.zcmd.JZcmd billOfMaterial2Java.bat
exit /B

==JZcmd==

currdir = scriptdir;

main(){


  Classpath billOfMaterial_jar = <:><:scriptdir>/billOfMaterial.jar<.>;

  java :billOfMaterial_jar:org.vishia.zbnf.example.billOfMaterial.Main.main(<:>--currdir:<&currdir><.>, "-i:billOfMaterial.txt");
}